Bug 58507 - Add GTest unit-testing framework to WebKit
Summary: Add GTest unit-testing framework to WebKit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 21010 58509
  Show dependency treegraph
 
Reported: 2011-04-13 19:31 PDT by Dmitry Lomov
Modified: 2011-04-15 18:18 PDT (History)
4 users (show)

See Also:


Attachments
Adding gtest to Source/ThirdParty + sample test case (deleted)
2011-04-13 20:03 PDT, Dmitry Lomov
no flags Details | Formatted Diff | Diff
Adding GTest framework to Source/ThirdParty (deleted)
2011-04-13 20:28 PDT, Dmitry Lomov
dslomov: review-
dslomov: commit-queue-
Details | Formatted Diff | Diff
Adding GTest to Source/ThirdParty (deleted)
2011-04-13 20:36 PDT, Dmitry Lomov
levin: review+
levin: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Lomov 2011-04-13 19:31:09 PDT
Add GTest to Source/ThirdParty, create examples of its use.
Comment 1 Dmitry Lomov 2011-04-13 20:03:07 PDT
Created attachment 89519 [details]
Adding gtest to Source/ThirdParty + sample test case
Comment 2 Dmitry Lomov 2011-04-13 20:05:50 PDT
Comment on attachment 89519 [details]
Adding gtest to Source/ThirdParty + sample test case

Breaking up into two separate patches.
Comment 3 Dmitry Lomov 2011-04-13 20:28:30 PDT
Created attachment 89521 [details]
Adding GTest framework to Source/ThirdParty
Comment 4 Dmitry Lomov 2011-04-13 20:36:58 PDT
Created attachment 89522 [details]
Adding GTest to Source/ThirdParty
Comment 5 David Levin 2011-04-13 22:16:16 PDT
Comment on attachment 89522 [details]
Adding GTest to Source/ThirdParty

Based on the status of ews, I suspect this patch is too big for the commit queue.
Comment 6 David Levin 2011-04-14 13:13:30 PDT
Committed as http://trac.webkit.org/changeset/83815
Comment 7 Timothy Hatcher 2011-04-15 11:55:29 PDT
The GTest targets have errors on systems that don't have $(DEVELOPER_SDK_DIR)/MacOSX10.4u.sdk. It should not have an SDK and use the current system.
Comment 8 Mark Rowe (bdash) 2011-04-15 17:57:15 PDT
Can someone expand on how we arrived at using gtest? There appears to have been zero discussion of this and the rather large and complicated library was simply checked in to the source tree.